Updates the article status list with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
article_status_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| article_status_id |
Foreign key of the article_status |
globally unique identifier |
Optionally required : article_status_id required |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| sales_organization_id | globally unique identifier |
Required |
|
| date_start_delivery |
Start delivery date |
date | |
| date_start |
Date start |
date | |
| date_end |
Date end |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "fa4e3b8a-264d-454b-814c-4588fa69fb99",
"article_status_id": "ff0a102b-6185-430d-8bb9-ebf0a007f062",
"article_id": "1433919e-b73f-429f-8dd8-9349a2515a66",
"article_code": "sample string 4",
"sales_organization_id": "9d2bdf97-5511-4cb0-9639-780458ba820a",
"date_start_delivery": "2026-07-29T14:59:13.3749414+00:00",
"date_start": "2026-07-29T14:59:13.3749414+00:00",
"date_end": "2026-07-29T14:59:13.3749414+00:00",
"modified_dateutc": "2026-07-29T14:59:13.3749414+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.